## org.jfree.data.io
Class CSV

    java.lang.Object
      org.jfree.data.io.CSV

    public class CSV

extends java.lang.Object

A utility class for reading `CategoryDataset` data from a CSV file. This initial version is very basic, and won't handle errors in the data file very gracefully.

Constructor Summary
`CSV()` Creates a new CSV reader where the field delimiter is a comma, and the text delimiter is a double-quote.
`CSV(char fieldDelimiter, char textDelimiter)` Creates a new reader with the specified field and text delimiters.

Method Summary
`CategoryDataset` `readCategoryDataset(java.io.Reader in)` Reads a `CategoryDataset` from a CSV file or input source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSV

    public CSV()

  Creates a new CSV reader where the field delimiter is a comma, and the text delimiter is a double-quote.

### CSV

    public CSV(char fieldDelimiter,
               char textDelimiter)

  Creates a new reader with the specified field and text delimiters.

  Parameters:
    `fieldDelimiter` - the field delimiter (usually a comma, semi-colon, colon, tab or space).
    `textDelimiter` - the text delimiter (usually a single or double quote).

Method Detail

### readCategoryDataset

    public CategoryDataset readCategoryDataset(java.io.Reader in)
                                        throws java.io.IOException

  Reads a `CategoryDataset` from a CSV file or input source.

  Parameters:
    `in` - the input source.
  Returns:
    A category dataset.
  Throws:
    `java.io.IOException` - if there is an I/O problem.